Summary: KDE Micro-Blogging Client
Name: choqok
Version: 1.3
Release: 2%{?dist}
License: GPLv3
Group: Applications/Internet
URL: http://choqok.gnufolks.org/
Source: http://d10xg45o6p6dbl.cloudfront.net/projects/c/%{name}/%{name}-%{version}.tar.bz2

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel
BuildRequires: gettext
BuildRequires: pkgconfig(libattica)
BuildRequires: qoauth-devel
BuildRequires: qjson-devel

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
# for kwallet, among other goodies
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
A Free/Open Source micro-blogging client for K Desktop Environment.
The name comes from an ancient Persian word, which means Sparrow!
Choqok currently supports Twitter.com and Identi.ca services.

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}

%package devel
Group:    Development/Libraries
Summary:  Development files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}


%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang %{name} --with-kde

%check
desktop-file-validate %{buildroot}%{_kde4_sharedir}/applications/kde4/choqok.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README AUTHORS changelog TODO
%{_kde4_bindir}/choqok
%{_kde4_libdir}/kde4/choqok_*.so
%{_kde4_libdir}/kde4/kcm_choqok_*.so
%{_kde4_libdir}/kde4/konqchoqokplugin.so
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_sharedir}/applications/kde4/choqok.desktop
%{_kde4_sharedir}/config.kcfg/*.kcfg
%{_kde4_sharedir}/kde4/services/choqok_*.desktop
%{_kde4_appsdir}/choqok/
%{_kde4_appsdir}/choqok_*/
%{_kde4_sharedir}/kde4/servicetypes/choqok*.desktop
%{_kde4_appsdir}/dbus-1/services/org.kde.choqok.service
%{_kde4_appsdir}/khtml/kpartplugins/konqchoqok.*
%{_kde4_sharedir}/kde4/services/ServiceMenus/choqok_*.desktop

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/choqok/
%{_kde4_libdir}/lib*.so
%{_kde4_appsdir}/cmake/modules/*.cmake

%changelog
* Wed Jun 20 2012 Rex Dieter <rdieter@fedoraproject.org> 1.3-2
- rebuild (attica)

* Sun Apr 22 2012 Sven Lankes <sven@lank.es> - 1.3-1
- new upstream release

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 31 2011 Rex Dieter <rdieter@fedoraproject.org> 1.2-3
- BR: pkgconfig(libattica)

* Sat Dec 31 2011 Sven Lankes <sven@lank.es> - 1.2-2
- rebuild for new libattica

* Thu Nov 23 2011 Sven Lankes <sven@lank.es> - 1.2-1
- new upstream release

* Tue Aug 09 2011 Sven Lankes <sven@lank.es> - 1.1-4
- fix bug on friendlist update (rhbz #729464)

* Tue Jul 26 2011 Rex Dieter <rdieter@fedoraproject.org> 1.1-3
- drop kwebkitpart support

* Tue Jun 21 2011 Rex Dieter <rdieter@fedoraproject.org> 1.1-2
- simplify %%files, use %%_kde4_appsdir macro
- use %%?_isa to tighten subpkg deps

* Sun Apr 03 2011 Sven Lankes <sven@lank.es> - 1.1-1
- new upstream release

* Sun Mar 26 2011 Sven Lankes <sven@lank.es> - 1.0-3
- apply upstream patch for rhbz #691237

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 30 2011 Sven Lankes <sven@lank.es> - 1.0-1
- new upstream release

* Fri Dec 07 2010 Sven Lankes <sven@lank.es> - 0.9.98-1
- new upstream release (1.0 rc1)

* Fri Oct 15 2010 Sven Lankes <sven@lank.es> - 0.9.92-1
- new upstream release (1.0 beta 4)

* Wed Sep 01 2010 Sven Lankes <sven@lank.es> - 0.9.90-2
- fix segfault on exit (kde bz #249748)

* Wed Sep 01 2010 Sven Lankes <sven@lank.es> - 0.9.90-1
- new upstream release

* Sun Aug 15 2010 Sven Lankes <sven@lank.es> - 0.9.85-1
- new upstream release

* Thu Aug 12 2010 Sven Lankes <sven@lank.es> - 0.9.85-0.1.1162196svn
- svn snapshot of upcoming beta2 
- includes oauth support required by twitter starting August 16th

* Tue Mar 09 2010 Tejas Dinkar <tejas@gja.in> - 0.9.55-14
- Add dependency from -libs to choqok

* Tue Mar 09 2010 Rex Dieter <rdieter@fedoraprojecdt.org> - 0.9.55-13
- Requires: kdebase-runtime (not kdeutils)

* Tue Mar 09 2010 Tejas Dinkar <tejas@gja.in> - 0.9.55-12
- choqok 1.0-beta

* Wed Sep 23 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.6.6-9
- add icon/desktop-file scriptlets

* Sun Aug 16 2009 Tejas Dinkar <tejas@gja.in> - 0.6.6-8
- Added Dependency on kdeutils
- Choqok 0.6.6 is out

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 14 2009 Tejas Dinkar <tejas@gja.in> - 0.6.1-7
- Choqok 0.6.1 is out with the below two patches

* Sat Jun 13 2009 Tejas Dinkar <tejas@gja.in> - 0.6-6
- Fixed the inreplyto (via patch)

* Sat Jun 13 2009 Tejas Dinkar <tejas@gja.in> - 0.6-5
- Fixed the twitpocalypse (via patch)

* Wed May 27 2009 Tejas Dinkar <tejas@gja.in> - 0.6-4
- Changed to 0.6

* Fri Apr 10 2009 Tejas Dinkar <tejas@gja.in> - 0.5-3
- Added the TweetAll patch, remove this by 0.6

* Fri Mar 27 2009 Tejas Dinkar <tejas@gja.in> - 0.5-2
- Added AUTHORS changelog and TODO to doc

* Fri Mar 27 2009 Tejas Dinkar <tejas@gja.in> - 0.5-1
- Initial Version for Fedora
